graph_path <-
function (target, am, seed=315, pathColor="indianred", layout=layout_with_fr) {

  if(!is.null(seed)) set.seed(seed)
  gram=nchar(colnames(am)[1])
  comps=unlist(strsplit(ndl::orthoCoding(target, grams=gram),"_"))

  if(sum(comps%in%colnames(am))!= length(comps)) warning("Some N-grams are missing in the adjacency matrix.")
  
  pos=c(1:(length(comps)-1))
  links=sapply(pos, FUN=function (pos) paste(comps[pos], "|", comps[pos+1], sep=""))  

  net = igraph::graph.adjacency(am, mode="directed")

  igraph::V(net)$color = ifelse(igraph::V(net)$name %in% comps, pathColor, "white")
  z = attr(igraph::E(net),"vnames")
  igraph::E(net)$color = ifelse(z %in% links, pathColor, "gray70")
  igraph::E(net)$width = ifelse(z %in% links, 2, 1)
  #E(net)$edge.arrow.size = ifelse(z %in% links, 0.3, 0.1) # only first used
  igraph::plot.igraph(net,
            layout = layout,
            #layout = layout,
            edge.label.font = 0.5,
            #edge.color="gray70",
            #edge.label = E(net)$weight, 
            edge.arrow.size = 0.4,
            xlim=c(-0.9, 0.9), ylim=c(-0.95, 0.95),
            vertex.label = igraph::V(net)$name,
            vertex.label.cex = 0.7,
            vertex.size = 6)

}
