graph_topology_flect <-
  function(lexomes=c("past", "future", "perfect", "pluperfect", "present"), 
           class="Tense", 
           mycolors=c("steelblue2", "indianred", "darkgreen", "gray70", "cyan"),
           data=latin,
           am=am,
           seed=315) {
    
    if (!is.null(seed)) set.seed(seed)

    classes = colnames(data)    
    theclass = which(classes==class)
    values = data[,theclass]
    
    net = igraph::graph.adjacency(am, mode="directed")
    igraph::V(net)$color = "white"
    
    gram=nchar(colnames(am)[1])
    
    for (i in 1:length(lexomes)) {
      targets = data[values==lexomes[i],]
      nontargets = data[values!=lexomes[i],]
      targetCues = unique(unlist(strsplit(ndl::orthoCoding(targets$Word, grams=gram),"_")))
      nontargetCues = unique(unlist(strsplit(ndl::orthoCoding(nontargets$Word, grams=gram),"_")))
      targetCues = targetCues[!is.element(targetCues, nontargetCues)]
      igraph::V(net)$color[which(igraph::V(net)$name %in% targetCues)] = mycolors[i]
    }
    
    igraph::plot.igraph(net,
                layout=layout_with_graphopt,
                edge.label.font=0.5,
                edge.color="gray70",
                edge.label=igraph::E(net)$weight, 
                edge.arrow.size=0.4, 
                vertex.label=igraph::V(net)$name,
                vertex.size=5)
    legend(-1.2, 0.8, 
           lexomes,
           col=mycolors, pch=19, bty="n", cex=1)
  }
