graph_topology_segments <-
function(segments=c("i", "e", "a", "o", "u"), 
         mycolors=c("steelblue2", "indianred", "darkgreen", "gray70", "cyan"),
         am = am,
         C = C,
         seed=315) {
  if (!is.null(seed)) set.seed(seed)

  uniqueCues = colnames(C)
 
  net = igraph::graph.adjacency(am, mode="directed")
  igraph::V(net)$color = "white"
  for (i in 1:length(segments)) {
    cueset = uniqueCues[which(substr(uniqueCues, 2, 2) == segments[i])]
    igraph::V(net)$color[which(igraph::V(net)$name %in% cueset)] = mycolors[i]
  }
  #V(net)$color<-ifelse(V(net)$name %in% targetSegments, 'indianred', 'steelblue2')
  igraph::plot.igraph(net,
            layout=layout_with_graphopt,
            edge.label.font=0.5,
            edge.color="gray70",
            edge.label=igraph::E(net)$weight, 
            edge.arrow.size=0.4, 
            vertex.label=igraph::V(net)$name,
            vertex.size=5)
  legend(-1.2, 0.8, 
         segments,
         col=mycolors, pch=19, bty="n", cex=1)
}
