show_graph <-
function(net, Layout = layout_with_graphopt, useWeights=TRUE) {
  if (!igraph::is_igraph(net)) {
    net = igraph::graph.adjacency(net, mode="directed", weighted=useWeights)
  }
  igraph::plot.igraph(net,
            layout=Layout,
            edge.label.font=0.5,
            edge.color="gray70",
            edge.label=igraph::E(net)$weight, 
            edge.arrow.size=0.4, 
            vertex.label=igraph::V(net)$name,
            vertex.size=5,
            vertex.color="steelblue2")
  invisible(net)
}
