\name{check_cycle}
\alias{check_cycle}
\title{
Check whether a cycle (triangle) has already been used in the path.
}
\description{
This function returns \code{NULL} when a triangle cycle has not been used in the path. Otherwise, it returns the position in the path where the triangle starts, as well as the triangle itself.
}
\usage{
check_cycle(paths, cycle, cycle_orders)
}
\arguments{
\item{paths}{
A word's path in its trigram (or quadrogram) graph.
}
\item{cycle}{
A triangle (3-vertex cycle).
}
\item{cycle_orders}{
A list with admissible orders of vertices in a triangle.
}
}
%\details{
%%  ~~ If necessary, more details than the description above ~~
%}
\value{
If the triangle cycle is not already present in the path, a list with \item{pos}{the position in the path where the cycle starts} \item{cycle}{the cycles in the path}, otherwise, \code{NULL} is returned.
}
%\references{
%% ~put references to the literature/web site here ~
%}
\author{
R. H. Baayen
}
%\note{
%%  ~~further notes~~
%}
%\seealso{
%See also as \code{\link{adjust_for_cycles}}, \code{\link{insert_cycle}}.
%}
%\examples{
%##---- Should be DIRECTLY executable !! ----
%##-- ==>  Define data, use random,
%##--	or do  help(data=index)  for the standard data sets.
%}
\keyword{misc}
