\name{graph_path}
\alias{graph_path}
%- Also NEED an '\alias' for EACH other topic documented here.
\title{
Graph path.
}
\description{
Given a target word and an adjacency matrix, this function plots a graph which includes all vertices and edges, with the path of the target word being highlighted.
}
\usage{
graph_path(target, am, seed = 315, pathColor = "indianred", layout = layout_with_fr)
}
\arguments{
\item{target}{
The target word for the plot.
}
\item{am}{
An adjacency matrix (as produced by \code{graph_setup}).
}
\item{seed}{
Seed (by default 315) that controls the layout of the plot.
}
\item{pathColor}{
The color for the target word's path.
}
\item{layout}{
The graph layout, by default \code{layout_with_fr}; for graphopt, select
\code{layout = layout_with_graphopt}
}
}
%\details{
%%  ~~ If necessary, more details than the description above ~~
%}
\value{
A plot is produced on the output device.
}
%\references{
%% ~put references to the literature/web site here ~
%}
\author{
Y.-Y. Chuang
}
%\note{
%%  ~~further notes~~
%}
%
%% ~Make other sections like Warning with \section{Warning }{....} ~
%
%\seealso{
%% ~~objects to See Also as \code{\link{help}}, ~~~
%}
%\examples{
%##---- Should be DIRECTLY executable !! ----
%##-- ==>  Define data, use random,
%##--	or do  help(data=index)  for the standard data sets.
%
%## The function is currently defined as
%}

\examples{
data(latin)
# produce lists of cues, outcomes and unique outcomes
ms3 = make_C_and_T_matrices(formula=~ Lexeme + Person + Number + Tense + Voice + Mood, 
                            data=latin, grams=3)
nCues = ms3$datastructures$nCues
Cues = ms3$datastructures$Cues
uniqueCues = ms3$datastructures$uniqueCues

# produce the adjacency matrix
gsu = graph_setup(nCues, Cues, uniqueCues)
am = gsu$am

# plot path for a given word
graph_path("vocoo", am, layout = layout_with_graphopt)
}
\keyword{misc}
