\name{latin}
\alias{latin}
\docType{data}
\title{
Inflected forms of 8 Latin verbs.
}
\description{
All finite inflected forms of 8 Latin verbs from the main four conjugation
classes.
}
\usage{data("latin")}
\format{
  A data frame with 672 observations on the following 8 variables.
  \describe{
    \item{\code{Word}}{a character vector with inflected forms}
    \item{\code{Lexeme}}{a character vector with the infinitives of the verbs}
    \item{\code{Person}}{a character vector coding first \code{p1}, second \code{p2}, and 
      third \code{p3} person}
    \item{\code{Number}}{a character vector specifying \code{sg} (singular) and \code{pl} (plural}
    \item{\code{Tense}}{a character vector with values \code{future, past, perfect, pluperfect, present}}
    \item{\code{Voice}}{a character vector encoding \code{active} and \code{passive} voice}
    \item{\code{Mood}}{a character vector encoding \code{ind}icative and \code{subj}unctive mood}
  }
}
%\details{
%%  ~~ If necessary, more details than the __description__ above ~~
%}
%\source{
%%  ~~ reference to a publication or URL from which the data were obtained ~~
%}
%\references{
%%%  ~~ possibly secondary sources and usages ~~
%}
\examples{
data(latin)
head(latin)

# show all inflections of the verb "clamare" in present tense
latin[latin$Lexeme == "clamare" & latin$Lexeme == "present",]
}
\keyword{datasets}
