\name{make_C_and_T_matrices}
\alias{make_C_and_T_matrices}
%- Also NEED an '\alias' for EACH other topic documented here.
\title{
  Make C and T matrices for a language dataset, and return basic
  datastructures with cues and outcomes.
}
\description{
This function takes the data of a language as input, and constructs the
C and T matrices, as well as lists of cues and outcomes, the number of cues
and outcomes, and the unique cues and outcomes.
}
\usage{
make_C_and_T_matrices(formula=~ Lexeme + Person + Number + Tense + Voice + Mood, 
                      data=latin, 
                      grams = 3, 
                      seed = 214)
}
\arguments{
  \item{formula}{
    A formula describing which classes (columns of the input data) should be used to construct the T matrix; the first class mentioned should refer to the content lexome of an inflected form.
}
  \item{data}{
    A data frame with word forms on rows and word and inflectional features in columns.
}
  \item{grams}{
    When \code{grams}=3, the strings in the \code{Word} column are input to
    the \code{orthoCoding} function, which constructs triphones.  When
    \code{grams}=4,  4-phone sequences are constructed.  Other values of
    \code{grams} are not supported.
}
  \item{seed}{
    The seed used for adding jitter to the C matrix.
}
}
\details{
The input data set should have character vectors and no factors, as string operations are carried out on the word and its lexomes.
}
\value{
The function returns a list with two elements.
\item{matrices}{A named list with the C and T matrices}
\item{datastructures}{A named list with number of cues, number of outcomes, unique cues, unique outcomes, the lists Cues and Outcomes, and vectors with base forms and inflectional features.}
}
%\references{
%% ~put references to the literature/web site here ~
%}
\author{
R. H. Baayen
}
%\note{
%%  ~~further notes~~
%}

%% ~Make other sections like Warning with \section{Warning }{....} ~

%%\seealso{
%% ~~objects to See Also as \code{\link{help}}, ~~~
%%}
\examples{
data(latin)
mms = 
  make_C_and_T_matrices(formula=~ Lexeme + Person + Number + Tense + Voice + Mood,
                        grams=3, 
                        data=latin)
C = mms$matrices$C
T = mms$matrices$T
}
\keyword{misc}% use one of  RShowDoc("KEYWORDS")
