\name{ngram2word}
\alias{ngram2word}
\title{
Convert a character vector of n-grams into a word string.
}
\description{
Convert a character vector of n-grams (trigrams or quadrograms) into a word string.
}
\usage{
ngram2word(v, grams=3)
}
\arguments{
\item{v}{
Vector of vertices.
}
\item{grams}{
Set to 3 for trigrams and to 4 for quadrograms.
}
}
%\details{
%%  ~~ If necessary, more details than the description above ~~
%}
\value{
A character string with the word corresponding to the vector of vertices.
}
%\references{
%% ~put references to the literature/web site here ~
%}
\author{
R. H. Baayen
}
%\note{
%%  ~~further notes~~
%}
\seealso{
See also as \code{\link{speak}}.
}
\examples{
data(latin)
# produce lists of cues, outcomes and unique outcomes
ms3 = make_C_and_T_matrices(formula=~ Lexeme + Person + Number + Tense + Voice + Mood, data=latin, grams=3)
Cues = ms3$datastructures$Cues

# produce word from ngrams of third cue
ngram2word(unlist(Cues[3]))

}
%\examples{
%##---- Should be DIRECTLY executable !! ----
%##-- ==>  Define data, use random,
%##--	or do  help(data=index)  for the standard data sets.
%}
\keyword{misc}
