\name{show_graph}
\alias{show_graph}
\title{
  Plot a graph, by default with the graphopt layout.
}
\description{
  Plot a graph, by default with the graphopt layout, with color scheme for edges and vertices.
}
\usage{
show_graph(net, Layout = layout_with_graphopt, useWeights = TRUE)
}
\arguments{
\item{net}{
    a graph object
}
\item{Layout}{
    by default, \code{layout_with_graphopt}
}
\item{useWeights}{
    if TRUE, add weights to edges
}
}
%\details{
%%  ~~ If necessary, more details than the description above ~~
%}
\value{
  A plot is produced on the output device.
}
%\references{
%% ~put references to the literature/web site here ~
%}
\author{
R. H. Baayen
}
%\note{
%%  ~~further notes~~
%}
%
%% ~Make other sections like Warning with \section{Warning }{....} ~
%
\seealso{
\link{graph_topology_flect}, \link{graph_topology_segments}
}
\examples{
data(latin)
library(igraph)
n = nrow(latin)

# produce lists of cues, outcomes and unique outcomes
ms3 = 
  make_C_and_T_matrices(formula=~ Lexeme + Person + Number + Tense + Voice + Mood,
                        data=latin, grams=3)
nCues = ms3$datastructures$nCues
nOutcomes = ms3$datastructures$nOutcomes
Cues = ms3$datastructures$Cues
Outcomes = ms3$datastructures$Outcomes
uniqueCues = ms3$datastructures$uniqueCues
uniqueOutcomes = ms3$datastructures$uniqueOutcomes

# produce the adjacency matrix
gsu = graph_setup(nCues, Cues, uniqueCues)
am = gsu$am
am.g = gsu$am.g

# show plot
show_graph(net = am.g)
}
%\examples{
%##---- Should be DIRECTLY executable !! ----
%##-- ==>  Define data, use random,
%##--	or do  help(data=index)  for the standard data sets.
%}
\keyword{hplot}
